Subject: bug#10897: copy-directory create new directory when copying a symlink

From: Eli Zaretskii <[email-masked]>
Date: Fri, 20 Aug 2021 08:51:19 +0300

> From: Marco Centurion <[email-masked]>
> Date: Thu, 19 Aug 2021 22:08:30 -0300
> 
> I failed to document the new behaviour in the docstring.
> 
> The patch I sent didn't manage the creation of the new symlink correctly
> either, as it created it with the same name as the target.  That is, in
> the examples given the result was:
> 
> -------------------------
> (copy-directory "~/tmp/foo" "~/Test" nil t)
> =>
> [mcenturion@localhost ~]$ ls -l Test
> total 4
> lrwxrwxrwx. 1 mcenturion mcenturion 26 ago 19 21:21 Test1 -> /home/mcenturion/tmp/Test1
> -------------------------
> 
> This new patch corrects both mistakes.

Thanks.

FWIW, I think this feature should be controlled by a user option, at
least because it changes a very old behavior.  Also, on some systems
(MS-Windows, for example) creating a symlink requires non-default
privileges, so it could be a nuisance to force this on such users.